Veo 3.1 参照画像からビデオ
curl --request POST \
--url https://api.sinancode.com/v1/generate/k/veo3-reference-to-video \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"imageUrls": [
"https://example.com/reference1.jpg"
],
"prompt": "generate a video based on the reference images",
"enableTranslation": true,
"seeds": 12345,
"watermark": ""
}
'import requests
url = "https://api.sinancode.com/v1/generate/k/veo3-reference-to-video"
payload = {
"imageUrls": ["https://example.com/reference1.jpg"],
"prompt": "generate a video based on the reference images",
"enableTranslation": True,
"seeds": 12345,
"watermark": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
imageUrls: ['https://example.com/reference1.jpg'],
prompt: 'generate a video based on the reference images',
enableTranslation: true,
seeds: 12345,
watermark: ''
})
};
fetch('https://api.sinancode.com/v1/generate/k/veo3-reference-to-video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "01234567-89ab-cdef-0123-456789abcdef"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}動画生成 - Veo 3
Veo 3 Reference to Video
Google Veo 3.1 Fast モデルを使用して、1-3枚の参照画像からビデオを生成します(非同期、veo3_fast と 16:9 のみサポート)
POST
/
generate
/
k
/
veo3-reference-to-video
Veo 3.1 参照画像からビデオ
Google DeepMind の Veo 3 モデルを使用して参照画像から動画を生成します。
承認
API Tokenを使用して認証を行ってください
ボディ
application/json
タスクパラメータ
画像URLリスト(必須)- 参照画像URL(1-3枚)
Required array length:
1 - 3 elements例:
["https://example.com/reference1.jpg"]
プロンプト(必須)- 動画生成のためのテキスト記述
Minimum string length:
1例:
"generate a video based on the reference images"
翻訳を有効にする(オプション)- 翻訳を有効にします。デフォルトは true
例:
true
シード値(オプション)- 範囲 10000-99999
必須範囲:
10000 <= x <= 99999例:
12345
ウォーターマーク(オプション)- ウォーターマーク識別子
例:
""
レスポンス
OK
タスクID
例:
"01234567-89ab-cdef-0123-456789abcdef"
⌘I